
declare const _default: import('vue').DefineComponent<{
    modelValue: import('vue').PropType<any>;
    data: {
        type: import('vue').PropType<(import('@vue/devtools-kit').TimelineEvent<any, any> & {
            color?: string | undefined;
            id?: number | undefined;
        })[]>;
        required: true;
    };
}, {}, unknown, {}, {}, import('vue').ComponentOptionsMixin, import('vue').ComponentOptionsMixin, {}, string, import('vue').PublicProps, Readonly<import('vue').ExtractPropTypes<{
    modelValue: import('vue').PropType<any>;
    data: {
        type: import('vue').PropType<(import('@vue/devtools-kit').TimelineEvent<any, any> & {
            color?: string | undefined;
            id?: number | undefined;
        })[]>;
        required: true;
    };
}>>, {}, {}>;
export default _default;
